//
//  PrivateConversationsRouter.swift
//  VKExt
//
//  Created programmist_NA on 07.06.2020.
//  Copyright © 2020 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import UIKit

class PrivateConversationsRouter: PrivateConversationsWireframeProtocol {
    
    weak var viewController: UIViewController?
    weak var baseViewController: UIViewController?
    
    class func createModule(_ viewController: PrivateConversationsViewController) {
        // Change to get view from storyboard if not using progammatic UI
        let interactor = PrivateConversationsInteractor()
        let router = PrivateConversationsRouter()
        let presenter = PrivateConversationsPresenter(interface: viewController, interactor: interactor, router: router)
        
        viewController.presenter = presenter
        interactor.presenter = presenter
        router.viewController = viewController
        presenter.interactor = interactor
        router.baseViewController = viewController
    }
}
